# Zone Transfers # Force AXFR ## Force AXFR `client.dns.zoneTransfers.forceAXFR.create(ForceAXFRCreateParamsparams, RequestOptionsoptions?): ForceAXFR` **post** `/zones/{zone_id}/secondary_dns/force_axfr` Sends AXFR zone transfer request to primary nameserver(s). ### Parameters - `params: ForceAXFRCreateParams` - `zone_id: string` Path param - `body: unknown` Body param ### Returns - `ForceAXFR = string` When force_axfr query parameter is set to true, the response is a simple string. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const forceAXFR = await client.dns.zoneTransfers.forceAXFR.create({ zone_id: '269d8f4853475ca241c4e730be286b20', body: {}, }); console.log(forceAXFR); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": "OK" } ``` ## Domain Types ### Force AXFR - `ForceAXFR = string` When force_axfr query parameter is set to true, the response is a simple string. # Incoming ## Secondary Zone Configuration Details `client.dns.zoneTransfers.incoming.get(IncomingGetParamsparams, RequestOptionsoptions?): IncomingGetResponse` **get** `/zones/{zone_id}/secondary_dns/incoming` Get secondary zone configuration for incoming zone transfers. ### Parameters - `params: IncomingGetParams` - `zone_id: string` ### Returns - `IncomingGetResponse` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const incoming = await client.dns.zoneTransfers.incoming.get({ zone_id: '269d8f4853475ca241c4e730be286b20', }); console.log(incoming.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20", "auto_refresh_seconds": 86400, "checked_time": "2019-10-24T17:09:42.883908+01:00", "created_time": "2019-10-24T17:09:42.883908+01:00", "modified_time": "2019-10-24T17:09:42.883908+01:00", "name": "www.example.com.", "peers": [ "23ff594956f20c2a721606e94745a8aa", "00920f38ce07c2e2f4df50b1f61d4194" ], "soa_serial": 2019102400 } } ``` ## Create Secondary Zone Configuration `client.dns.zoneTransfers.incoming.create(IncomingCreateParamsparams, RequestOptionsoptions?): IncomingCreateResponse` **post** `/zones/{zone_id}/secondary_dns/incoming` Create secondary zone configuration for incoming zone transfers. ### Parameters - `params: IncomingCreateParams` - `zone_id: string` Path param - `auto_refresh_seconds: number` Body param: How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `name: string` Body param: Zone name. - `peers: Array` Body param: A list of peer tags. ### Returns - `IncomingCreateResponse` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const incoming = await client.dns.zoneTransfers.incoming.create({ zone_id: '269d8f4853475ca241c4e730be286b20', auto_refresh_seconds: 86400, name: 'www.example.com.', peers: ['23ff594956f20c2a721606e94745a8aa', '00920f38ce07c2e2f4df50b1f61d4194'], }); console.log(incoming.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20", "auto_refresh_seconds": 86400, "checked_time": "2019-10-24T17:09:42.883908+01:00", "created_time": "2019-10-24T17:09:42.883908+01:00", "modified_time": "2019-10-24T17:09:42.883908+01:00", "name": "www.example.com.", "peers": [ "23ff594956f20c2a721606e94745a8aa", "00920f38ce07c2e2f4df50b1f61d4194" ], "soa_serial": 2019102400 } } ``` ## Update Secondary Zone Configuration `client.dns.zoneTransfers.incoming.update(IncomingUpdateParamsparams, RequestOptionsoptions?): IncomingUpdateResponse` **put** `/zones/{zone_id}/secondary_dns/incoming` Update secondary zone configuration for incoming zone transfers. ### Parameters - `params: IncomingUpdateParams` - `zone_id: string` Path param - `auto_refresh_seconds: number` Body param: How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `name: string` Body param: Zone name. - `peers: Array` Body param: A list of peer tags. ### Returns - `IncomingUpdateResponse` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const incoming = await client.dns.zoneTransfers.incoming.update({ zone_id: '269d8f4853475ca241c4e730be286b20', auto_refresh_seconds: 86400, name: 'www.example.com.', peers: ['23ff594956f20c2a721606e94745a8aa', '00920f38ce07c2e2f4df50b1f61d4194'], }); console.log(incoming.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20", "auto_refresh_seconds": 86400, "checked_time": "2019-10-24T17:09:42.883908+01:00", "created_time": "2019-10-24T17:09:42.883908+01:00", "modified_time": "2019-10-24T17:09:42.883908+01:00", "name": "www.example.com.", "peers": [ "23ff594956f20c2a721606e94745a8aa", "00920f38ce07c2e2f4df50b1f61d4194" ], "soa_serial": 2019102400 } } ``` ## Delete Secondary Zone Configuration `client.dns.zoneTransfers.incoming.delete(IncomingDeleteParamsparams, RequestOptionsoptions?): IncomingDeleteResponse` **delete** `/zones/{zone_id}/secondary_dns/incoming` Delete secondary zone configuration for incoming zone transfers. ### Parameters - `params: IncomingDeleteParams` - `zone_id: string` ### Returns - `IncomingDeleteResponse` - `id?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const incoming = await client.dns.zoneTransfers.incoming.delete({ zone_id: '269d8f4853475ca241c4e730be286b20', }); console.log(incoming.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20" } } ``` ## Domain Types ### Incoming - `Incoming` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Incoming Get Response - `IncomingGetResponse` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Incoming Create Response - `IncomingCreateResponse` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Incoming Update Response - `IncomingUpdateResponse` - `id?: string` - `auto_refresh_seconds?: number` How often should a secondary zone auto refresh regardless of DNS NOTIFY. Not applicable for primary zones. - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `modified_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Incoming Delete Response - `IncomingDeleteResponse` - `id?: string` # Outgoing ## Primary Zone Configuration Details `client.dns.zoneTransfers.outgoing.get(OutgoingGetParamsparams, RequestOptionsoptions?): OutgoingGetResponse` **get** `/zones/{zone_id}/secondary_dns/outgoing` Get primary zone configuration for outgoing zone transfers. ### Parameters - `params: OutgoingGetParams` - `zone_id: string` ### Returns - `OutgoingGetResponse` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const outgoing = await client.dns.zoneTransfers.outgoing.get({ zone_id: '269d8f4853475ca241c4e730be286b20', }); console.log(outgoing.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20", "checked_time": "2019-10-24T17:09:42.883908+01:00", "created_time": "2019-10-24T17:09:42.883908+01:00", "last_transferred_time": "2019-10-24T17:09:42.883908+01:00", "name": "www.example.com.", "peers": [ "23ff594956f20c2a721606e94745a8aa", "00920f38ce07c2e2f4df50b1f61d4194" ], "soa_serial": 2019102400 } } ``` ## Create Primary Zone Configuration `client.dns.zoneTransfers.outgoing.create(OutgoingCreateParamsparams, RequestOptionsoptions?): OutgoingCreateResponse` **post** `/zones/{zone_id}/secondary_dns/outgoing` Create primary zone configuration for outgoing zone transfers. ### Parameters - `params: OutgoingCreateParams` - `zone_id: string` Path param - `name: string` Body param: Zone name. - `peers: Array` Body param: A list of peer tags. ### Returns - `OutgoingCreateResponse` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const outgoing = await client.dns.zoneTransfers.outgoing.create({ zone_id: '269d8f4853475ca241c4e730be286b20', name: 'www.example.com.', peers: ['23ff594956f20c2a721606e94745a8aa', '00920f38ce07c2e2f4df50b1f61d4194'], }); console.log(outgoing.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20", "checked_time": "2019-10-24T17:09:42.883908+01:00", "created_time": "2019-10-24T17:09:42.883908+01:00", "last_transferred_time": "2019-10-24T17:09:42.883908+01:00", "name": "www.example.com.", "peers": [ "23ff594956f20c2a721606e94745a8aa", "00920f38ce07c2e2f4df50b1f61d4194" ], "soa_serial": 2019102400 } } ``` ## Update Primary Zone Configuration `client.dns.zoneTransfers.outgoing.update(OutgoingUpdateParamsparams, RequestOptionsoptions?): OutgoingUpdateResponse` **put** `/zones/{zone_id}/secondary_dns/outgoing` Update primary zone configuration for outgoing zone transfers. ### Parameters - `params: OutgoingUpdateParams` - `zone_id: string` Path param - `name: string` Body param: Zone name. - `peers: Array` Body param: A list of peer tags. ### Returns - `OutgoingUpdateResponse` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const outgoing = await client.dns.zoneTransfers.outgoing.update({ zone_id: '269d8f4853475ca241c4e730be286b20', name: 'www.example.com.', peers: ['23ff594956f20c2a721606e94745a8aa', '00920f38ce07c2e2f4df50b1f61d4194'], }); console.log(outgoing.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20", "checked_time": "2019-10-24T17:09:42.883908+01:00", "created_time": "2019-10-24T17:09:42.883908+01:00", "last_transferred_time": "2019-10-24T17:09:42.883908+01:00", "name": "www.example.com.", "peers": [ "23ff594956f20c2a721606e94745a8aa", "00920f38ce07c2e2f4df50b1f61d4194" ], "soa_serial": 2019102400 } } ``` ## Delete Primary Zone Configuration `client.dns.zoneTransfers.outgoing.delete(OutgoingDeleteParamsparams, RequestOptionsoptions?): OutgoingDeleteResponse` **delete** `/zones/{zone_id}/secondary_dns/outgoing` Delete primary zone configuration for outgoing zone transfers. ### Parameters - `params: OutgoingDeleteParams` - `zone_id: string` ### Returns - `OutgoingDeleteResponse` - `id?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const outgoing = await client.dns.zoneTransfers.outgoing.delete({ zone_id: '269d8f4853475ca241c4e730be286b20', }); console.log(outgoing.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "269d8f4853475ca241c4e730be286b20" } } ``` ## Disable Outgoing Zone Transfers `client.dns.zoneTransfers.outgoing.disable(OutgoingDisableParamsparams, RequestOptionsoptions?): DisableTransfer` **post** `/zones/{zone_id}/secondary_dns/outgoing/disable` Disable outgoing zone transfers for primary zone and clears IXFR backlog of primary zone. ### Parameters - `params: OutgoingDisableParams` - `zone_id: string` Path param - `body: unknown` Body param ### Returns - `DisableTransfer = string` The zone transfer status of a primary zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const disableTransfer = await client.dns.zoneTransfers.outgoing.disable({ zone_id: '269d8f4853475ca241c4e730be286b20', body: {}, }); console.log(disableTransfer); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": "Disabled" } ``` ## Enable Outgoing Zone Transfers `client.dns.zoneTransfers.outgoing.enable(OutgoingEnableParamsparams, RequestOptionsoptions?): EnableTransfer` **post** `/zones/{zone_id}/secondary_dns/outgoing/enable` Enable outgoing zone transfers for primary zone. ### Parameters - `params: OutgoingEnableParams` - `zone_id: string` Path param - `body: unknown` Body param ### Returns - `EnableTransfer = string` The zone transfer status of a primary zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const enableTransfer = await client.dns.zoneTransfers.outgoing.enable({ zone_id: '269d8f4853475ca241c4e730be286b20', body: {}, }); console.log(enableTransfer); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": "Enabled" } ``` ## Force DNS NOTIFY `client.dns.zoneTransfers.outgoing.forceNotify(OutgoingForceNotifyParamsparams, RequestOptionsoptions?): OutgoingForceNotifyResponse` **post** `/zones/{zone_id}/secondary_dns/outgoing/force_notify` Notifies the secondary nameserver(s) and clears IXFR backlog of primary zone. ### Parameters - `params: OutgoingForceNotifyParams` - `zone_id: string` Path param - `body: unknown` Body param ### Returns - `OutgoingForceNotifyResponse = string` When force_notify query parameter is set to true, the response is a simple string. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.dns.zoneTransfers.outgoing.forceNotify({ zone_id: '269d8f4853475ca241c4e730be286b20', body: {}, }); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": "OK" } ``` ## Domain Types ### Disable Transfer - `DisableTransfer = string` The zone transfer status of a primary zone. ### Enable Transfer - `EnableTransfer = string` The zone transfer status of a primary zone. ### Outgoing - `Outgoing` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Outgoing Status - `OutgoingStatus = string | null` The zone transfer status of a primary zone. ### Outgoing Get Response - `OutgoingGetResponse` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Outgoing Create Response - `OutgoingCreateResponse` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Outgoing Update Response - `OutgoingUpdateResponse` - `id?: string` - `checked_time?: string` The time for a specific event. - `created_time?: string` The time for a specific event. - `last_transferred_time?: string` The time for a specific event. - `name?: string` Zone name. - `peers?: Array` A list of peer tags. - `soa_serial?: number` The serial number of the SOA for the given zone. ### Outgoing Delete Response - `OutgoingDeleteResponse` - `id?: string` ### Outgoing Force Notify Response - `OutgoingForceNotifyResponse = string` When force_notify query parameter is set to true, the response is a simple string. # Status ## Get Outgoing Zone Transfer Status `client.dns.zoneTransfers.outgoing.status.get(StatusGetParamsparams, RequestOptionsoptions?): EnableTransfer` **get** `/zones/{zone_id}/secondary_dns/outgoing/status` Get primary zone transfer status. ### Parameters - `params: StatusGetParams` - `zone_id: string` ### Returns - `EnableTransfer = string` The zone transfer status of a primary zone. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const enableTransfer = await client.dns.zoneTransfers.outgoing.status.get({ zone_id: '269d8f4853475ca241c4e730be286b20', }); console.log(enableTransfer); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": "Enabled" } ``` # ACLs ## List ACLs `client.dns.zoneTransfers.acls.list(ACLListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/secondary_dns/acls` List ACLs. ### Parameters - `params: ACLListParams` - `account_id: string` ### Returns - `ACL` - `id: string` - `ip_range: string` Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` The name of the acl. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const acl of client.dns.zoneTransfers.acls.list({ account_id: '01a7362d577a6c3019a474fd6f485823', })) { console.log(acl.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "23ff594956f20c2a721606e94745a8aa", "ip_range": "192.0.2.53/28", "name": "my-acl-1" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## ACL Details `client.dns.zoneTransfers.acls.get(stringaclId, ACLGetParamsparams, RequestOptionsoptions?): ACL` **get** `/accounts/{account_id}/secondary_dns/acls/{acl_id}` Get ACL. ### Parameters - `aclId: string` - `params: ACLGetParams` - `account_id: string` ### Returns - `ACL` - `id: string` - `ip_range: string` Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` The name of the acl. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const acl = await client.dns.zoneTransfers.acls.get('23ff594956f20c2a721606e94745a8aa', { account_id: '01a7362d577a6c3019a474fd6f485823', }); console.log(acl.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa", "ip_range": "192.0.2.53/28", "name": "my-acl-1" } } ``` ## Create ACL `client.dns.zoneTransfers.acls.create(ACLCreateParamsparams, RequestOptionsoptions?): ACL` **post** `/accounts/{account_id}/secondary_dns/acls` Create ACL. ### Parameters - `params: ACLCreateParams` - `account_id: string` Path param - `ip_range: string` Body param: Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` Body param: The name of the acl. ### Returns - `ACL` - `id: string` - `ip_range: string` Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` The name of the acl. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const acl = await client.dns.zoneTransfers.acls.create({ account_id: '01a7362d577a6c3019a474fd6f485823', ip_range: '192.0.2.53/28', name: 'my-acl-1', }); console.log(acl.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa", "ip_range": "192.0.2.53/28", "name": "my-acl-1" } } ``` ## Update ACL `client.dns.zoneTransfers.acls.update(stringaclId, ACLUpdateParamsparams, RequestOptionsoptions?): ACL` **put** `/accounts/{account_id}/secondary_dns/acls/{acl_id}` Modify ACL. ### Parameters - `aclId: string` - `params: ACLUpdateParams` - `account_id: string` Path param - `ip_range: string` Body param: Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` Body param: The name of the acl. ### Returns - `ACL` - `id: string` - `ip_range: string` Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` The name of the acl. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const acl = await client.dns.zoneTransfers.acls.update('23ff594956f20c2a721606e94745a8aa', { account_id: '01a7362d577a6c3019a474fd6f485823', ip_range: '192.0.2.53/28', name: 'my-acl-1', }); console.log(acl.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa", "ip_range": "192.0.2.53/28", "name": "my-acl-1" } } ``` ## Delete ACL `client.dns.zoneTransfers.acls.delete(stringaclId, ACLDeleteParamsparams, RequestOptionsoptions?): ACLDeleteResponse` **delete** `/accounts/{account_id}/secondary_dns/acls/{acl_id}` Delete ACL. ### Parameters - `aclId: string` - `params: ACLDeleteParams` - `account_id: string` ### Returns - `ACLDeleteResponse` - `id?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const acl = await client.dns.zoneTransfers.acls.delete('23ff594956f20c2a721606e94745a8aa', { account_id: '01a7362d577a6c3019a474fd6f485823', }); console.log(acl.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa" } } ``` ## Domain Types ### ACL - `ACL` - `id: string` - `ip_range: string` Allowed IPv4/IPv6 address range of primary or secondary nameservers. This will be applied for the entire account. The IP range is used to allow additional NOTIFY IPs for secondary zones and IPs Cloudflare allows AXFR/IXFR requests from for primary zones. CIDRs are limited to a maximum of /24 for IPv4 and /64 for IPv6 respectively. - `name: string` The name of the acl. ### ACL Delete Response - `ACLDeleteResponse` - `id?: string` # Peers ## List Peers `client.dns.zoneTransfers.peers.list(PeerListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/secondary_dns/peers` List Peers. ### Parameters - `params: PeerListParams` - `account_id: string` ### Returns - `Peer` - `id: string` - `name: string` The name of the peer. - `ip?: string` IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to. - `ixfr_enable?: boolean` Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones. - `port?: number` DNS port of primary or secondary nameserver, depending on what zone this peer is linked to. - `tsig_id?: string` TSIG authentication will be used for zone transfer if configured. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const peer of client.dns.zoneTransfers.peers.list({ account_id: '01a7362d577a6c3019a474fd6f485823', })) { console.log(peer.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "23ff594956f20c2a721606e94745a8aa", "name": "my-peer-1", "ip": "192.0.2.53", "ixfr_enable": false, "port": 53, "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Peer Details `client.dns.zoneTransfers.peers.get(stringpeerId, PeerGetParamsparams, RequestOptionsoptions?): Peer` **get** `/accounts/{account_id}/secondary_dns/peers/{peer_id}` Get Peer. ### Parameters - `peerId: string` - `params: PeerGetParams` - `account_id: string` ### Returns - `Peer` - `id: string` - `name: string` The name of the peer. - `ip?: string` IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to. - `ixfr_enable?: boolean` Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones. - `port?: number` DNS port of primary or secondary nameserver, depending on what zone this peer is linked to. - `tsig_id?: string` TSIG authentication will be used for zone transfer if configured. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const peer = await client.dns.zoneTransfers.peers.get('23ff594956f20c2a721606e94745a8aa', { account_id: '01a7362d577a6c3019a474fd6f485823', }); console.log(peer.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa", "name": "my-peer-1", "ip": "192.0.2.53", "ixfr_enable": false, "port": 53, "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a" } } ``` ## Create Peer `client.dns.zoneTransfers.peers.create(PeerCreateParamsparams, RequestOptionsoptions?): Peer` **post** `/accounts/{account_id}/secondary_dns/peers` Create Peer. ### Parameters - `params: PeerCreateParams` - `account_id: string` Path param - `name: string` Body param: The name of the peer. ### Returns - `Peer` - `id: string` - `name: string` The name of the peer. - `ip?: string` IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to. - `ixfr_enable?: boolean` Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones. - `port?: number` DNS port of primary or secondary nameserver, depending on what zone this peer is linked to. - `tsig_id?: string` TSIG authentication will be used for zone transfer if configured. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const peer = await client.dns.zoneTransfers.peers.create({ account_id: '01a7362d577a6c3019a474fd6f485823', name: 'my-peer-1', }); console.log(peer.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa", "name": "my-peer-1", "ip": "192.0.2.53", "ixfr_enable": false, "port": 53, "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a" } } ``` ## Update Peer `client.dns.zoneTransfers.peers.update(stringpeerId, PeerUpdateParamsparams, RequestOptionsoptions?): Peer` **put** `/accounts/{account_id}/secondary_dns/peers/{peer_id}` Modify Peer. ### Parameters - `peerId: string` - `params: PeerUpdateParams` - `account_id: string` Path param - `name: string` Body param: The name of the peer. - `ip?: string` Body param: IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to. - `ixfr_enable?: boolean` Body param: Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones. - `port?: number` Body param: DNS port of primary or secondary nameserver, depending on what zone this peer is linked to. - `tsig_id?: string` Body param: TSIG authentication will be used for zone transfer if configured. ### Returns - `Peer` - `id: string` - `name: string` The name of the peer. - `ip?: string` IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to. - `ixfr_enable?: boolean` Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones. - `port?: number` DNS port of primary or secondary nameserver, depending on what zone this peer is linked to. - `tsig_id?: string` TSIG authentication will be used for zone transfer if configured. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const peer = await client.dns.zoneTransfers.peers.update('23ff594956f20c2a721606e94745a8aa', { account_id: '01a7362d577a6c3019a474fd6f485823', name: 'my-peer-1', }); console.log(peer.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa", "name": "my-peer-1", "ip": "192.0.2.53", "ixfr_enable": false, "port": 53, "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a" } } ``` ## Delete Peer `client.dns.zoneTransfers.peers.delete(stringpeerId, PeerDeleteParamsparams, RequestOptionsoptions?): PeerDeleteResponse` **delete** `/accounts/{account_id}/secondary_dns/peers/{peer_id}` Delete Peer. ### Parameters - `peerId: string` - `params: PeerDeleteParams` - `account_id: string` ### Returns - `PeerDeleteResponse` - `id?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const peer = await client.dns.zoneTransfers.peers.delete('23ff594956f20c2a721606e94745a8aa', { account_id: '01a7362d577a6c3019a474fd6f485823', }); console.log(peer.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "23ff594956f20c2a721606e94745a8aa" } } ``` ## Domain Types ### Peer - `Peer` - `id: string` - `name: string` The name of the peer. - `ip?: string` IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to. - `ixfr_enable?: boolean` Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones. - `port?: number` DNS port of primary or secondary nameserver, depending on what zone this peer is linked to. - `tsig_id?: string` TSIG authentication will be used for zone transfer if configured. ### Peer Delete Response - `PeerDeleteResponse` - `id?: string` # TSIGs ## List TSIGs `client.dns.zoneTransfers.tsigs.list(TSIGListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/secondary_dns/tsigs` List TSIGs. ### Parameters - `params: TSIGListParams` - `account_id: string` ### Returns - `TSIG` - `id: string` - `algo: string` TSIG algorithm. - `name: string` TSIG key name. - `secret: string` TSIG secret. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const tsig of client.dns.zoneTransfers.tsigs.list({ account_id: '01a7362d577a6c3019a474fd6f485823', })) { console.log(tsig.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "69cd1e104af3e6ed3cb344f263fd0d5a", "algo": "hmac-sha512.", "name": "tsig.customer.cf.", "secret": "caf79a7804b04337c9c66ccd7bef9190a1e1679b5dd03d8aa10f7ad45e1a9dab92b417896c15d4d007c7c14194538d2a5d0feffdecc5a7f0e1c570cfa700837c" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## TSIG Details `client.dns.zoneTransfers.tsigs.get(stringtsigId, TSIGGetParamsparams, RequestOptionsoptions?): TSIG` **get** `/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}` Get TSIG. ### Parameters - `tsigId: string` - `params: TSIGGetParams` - `account_id: string` ### Returns - `TSIG` - `id: string` - `algo: string` TSIG algorithm. - `name: string` TSIG key name. - `secret: string` TSIG secret. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const tsig = await client.dns.zoneTransfers.tsigs.get('69cd1e104af3e6ed3cb344f263fd0d5a', { account_id: '01a7362d577a6c3019a474fd6f485823', }); console.log(tsig.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "69cd1e104af3e6ed3cb344f263fd0d5a", "algo": "hmac-sha512.", "name": "tsig.customer.cf.", "secret": "caf79a7804b04337c9c66ccd7bef9190a1e1679b5dd03d8aa10f7ad45e1a9dab92b417896c15d4d007c7c14194538d2a5d0feffdecc5a7f0e1c570cfa700837c" } } ``` ## Create TSIG `client.dns.zoneTransfers.tsigs.create(TSIGCreateParamsparams, RequestOptionsoptions?): TSIG` **post** `/accounts/{account_id}/secondary_dns/tsigs` Create TSIG. ### Parameters - `params: TSIGCreateParams` - `account_id: string` Path param - `algo: string` Body param: TSIG algorithm. - `name: string` Body param: TSIG key name. - `secret: string` Body param: TSIG secret. ### Returns - `TSIG` - `id: string` - `algo: string` TSIG algorithm. - `name: string` TSIG key name. - `secret: string` TSIG secret. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const tsig = await client.dns.zoneTransfers.tsigs.create({ account_id: '01a7362d577a6c3019a474fd6f485823', algo: 'hmac-sha512.', name: 'tsig.customer.cf.', secret: 'caf79a7804b04337c9c66ccd7bef9190a1e1679b5dd03d8aa10f7ad45e1a9dab92b417896c15d4d007c7c14194538d2a5d0feffdecc5a7f0e1c570cfa700837c', }); console.log(tsig.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "69cd1e104af3e6ed3cb344f263fd0d5a", "algo": "hmac-sha512.", "name": "tsig.customer.cf.", "secret": "caf79a7804b04337c9c66ccd7bef9190a1e1679b5dd03d8aa10f7ad45e1a9dab92b417896c15d4d007c7c14194538d2a5d0feffdecc5a7f0e1c570cfa700837c" } } ``` ## Update TSIG `client.dns.zoneTransfers.tsigs.update(stringtsigId, TSIGUpdateParamsparams, RequestOptionsoptions?): TSIG` **put** `/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}` Modify TSIG. ### Parameters - `tsigId: string` - `params: TSIGUpdateParams` - `account_id: string` Path param - `algo: string` Body param: TSIG algorithm. - `name: string` Body param: TSIG key name. - `secret: string` Body param: TSIG secret. ### Returns - `TSIG` - `id: string` - `algo: string` TSIG algorithm. - `name: string` TSIG key name. - `secret: string` TSIG secret. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const tsig = await client.dns.zoneTransfers.tsigs.update('69cd1e104af3e6ed3cb344f263fd0d5a', { account_id: '01a7362d577a6c3019a474fd6f485823', algo: 'hmac-sha512.', name: 'tsig.customer.cf.', secret: 'caf79a7804b04337c9c66ccd7bef9190a1e1679b5dd03d8aa10f7ad45e1a9dab92b417896c15d4d007c7c14194538d2a5d0feffdecc5a7f0e1c570cfa700837c', }); console.log(tsig.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "69cd1e104af3e6ed3cb344f263fd0d5a", "algo": "hmac-sha512.", "name": "tsig.customer.cf.", "secret": "caf79a7804b04337c9c66ccd7bef9190a1e1679b5dd03d8aa10f7ad45e1a9dab92b417896c15d4d007c7c14194538d2a5d0feffdecc5a7f0e1c570cfa700837c" } } ``` ## Delete TSIG `client.dns.zoneTransfers.tsigs.delete(stringtsigId, TSIGDeleteParamsparams, RequestOptionsoptions?): TSIGDeleteResponse` **delete** `/accounts/{account_id}/secondary_dns/tsigs/{tsig_id}` Delete TSIG. ### Parameters - `tsigId: string` - `params: TSIGDeleteParams` - `account_id: string` ### Returns - `TSIGDeleteResponse` - `id?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const tsig = await client.dns.zoneTransfers.tsigs.delete('69cd1e104af3e6ed3cb344f263fd0d5a', { account_id: '01a7362d577a6c3019a474fd6f485823', }); console.log(tsig.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "69cd1e104af3e6ed3cb344f263fd0d5a" } } ``` ## Domain Types ### TSIG - `TSIG` - `id: string` - `algo: string` TSIG algorithm. - `name: string` TSIG key name. - `secret: string` TSIG secret. ### TSIG Delete Response - `TSIGDeleteResponse` - `id?: string`